unit ufrmAbout;

(*
               FECRecon - ufrmAbout
       (c) 2003 Paul C. L. Willmott, VP9MU

 This program is free software; you can redistribute it
 and/or modify it under the terms of the GNU General
 Public License as published by the Free Software
 Foundation; either version 2 of the License, or at
 your option, any later version.

 This program is distributed in the hope that it will
 be useful, but WITHOUT ANY WARRANTY; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A
 PARTICULAR PURPOSE.  See the GNU General Public
 License for more details.

 You should have received a copy of the GNU General
 Public License along with this program; if not, write
 to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA  02111-1307  USA

            Contact : vp9mu@amsat.org
*)

(*
     Revision History
     ----------------

     1.0.0      Created May 16, 2003 PCLW
     1.0.1      Cloned from DGrabber.ufrmAbout July 6, 2003 PCLW

*)

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmAbout = class(TForm)
    btnOK: TButton;
    imgLogo: TImage;
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.dfm}

uses

     umdlOptions ;

procedure TfrmAbout.FormCreate(Sender: TObject);
begin
     Top := GetSetting(ksINIFile,Name,'Top',Top) ;
     Left := GetSetting(ksINIFile,Name,'Left',Left) ;
end;

procedure TfrmAbout.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     SaveSetting(ksINIFile,Name,'Top',Top) ;
     SaveSetting(ksINIFile,Name,'Left',Left) ;
     Action := caFree ;
end;

procedure TfrmAbout.btnOKClick(Sender: TObject);
begin
     inherited;
     Close ;
end;

end.
